"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KSLPopoverElement = void 0;
const KSLPopUpElement_1 = require("./abstract/KSLPopUpElement");
const node_1 = require("../utils/node");
const colors_1 = require("./tokens/colors");
const shadows_1 = require("./tokens/shadows");
const templateHTML = `
  <style>
    :host {
      --ksl-pop-up-arrow-size: 12px;
      --ksl-pop-up-background-color: var(--ksl-color-background-default, ${colors_1.Colors.BackgroundDefault});
      --ksl-pop-up-border-radius: 4px;
      --ksl-pop-up-box-shadow: var(--ksl-shadow-default, ${shadows_1.Shadows.Default});;
      --ksl-pop-up-color: var(--ksl-color-text-default, ${colors_1.Colors.TextDefault});
      --ksl-pop-up-padding: 8px;
    }
  </style>
`;
class KSLPopoverElement extends KSLPopUpElement_1.KSLPopUpElement {
    static get is() {
        return 'ksl-popover';
    }
    static initializeTemplate() {
        const baseTemplate = KSLPopUpElement_1.KSLPopUpElement.initializeTemplate();
        const thisTemplate = node_1.createTemplateForCustomElement(templateHTML);
        baseTemplate.content.appendChild(thisTemplate.content.cloneNode(true));
        return baseTemplate;
    }
}
exports.KSLPopoverElement = KSLPopoverElement;
//# sourceMappingURL=KSLPopoverElement.js.map