"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KSLTooltipElement = void 0;
const KSLPopUpElement_1 = require("./abstract/KSLPopUpElement");
const node_1 = require("../utils/node");
const colors_1 = require("./tokens/colors");
const templateHTML = `
  <style>
    :host {
      --ksl-pop-up-arrow-size: 4px;
      --ksl-pop-up-background-color: var(--ksl-color-background-secondary, ${colors_1.Colors.BackgroundSecondary});
      --ksl-pop-up-box-shadow: none;
      --ksl-pop-up-color: var(--ksl-color-text-secondary, ${colors_1.Colors.TextSecondary});
      --ksl-pop-up-padding: 4px 6px;
    }
  </style>
`;
class KSLTooltipElement extends KSLPopUpElement_1.KSLPopUpElement {
    static get is() {
        return 'ksl-tooltip';
    }
    static initializeTemplate() {
        const baseTemplate = KSLPopUpElement_1.KSLPopUpElement.initializeTemplate();
        const thisTemplate = node_1.createTemplateForCustomElement(templateHTML);
        baseTemplate.content.appendChild(thisTemplate.content.cloneNode(true));
        return baseTemplate;
    }
}
exports.KSLTooltipElement = KSLTooltipElement;
//# sourceMappingURL=KSLTooltipElement.js.map